For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tags

Operations about tags

Retrieve all tags

get
/tags

Retrieve all tags from your instance.

Authorizations
X-N8N-API-KEYstringRequired
Query parameters
limitnumber · max: 250Optional

The maximum number of items to return.

Default: 100Example: 100
cursorstringOptional

Paginate by setting the cursor parameter to the nextCursor attribute returned by the previous request's response. Default value fetches the first "page" of the collection. See pagination for more detail.

Responses
200

Operation successful.

application/json
nextCursorstring · nullableRequired
get/tags
GET /api/v1/tags HTTP/1.1
X-N8N-API-KEY: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": "2tUt1wbLX592XDdX",
      "name": "Production",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "nextCursor": "text"
}

Create a tag

post
/tags

Create a tag in your instance.

Authorizations
X-N8N-API-KEYstringRequired
Body
idstringRead-onlyOptionalExample: 2tUt1wbLX592XDdX
namestringRequiredExample: Production
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
Responses
201

Operation successful.

application/json
idstringRead-onlyRequiredExample: 2tUt1wbLX592XDdX
namestringRequiredExample: Production
createdAtstring · date-timeRead-onlyRequired
updatedAtstring · date-timeRead-onlyRequired
post/tags
POST /api/v1/tags HTTP/1.1
X-N8N-API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 21

{
  "name": "Production"
}
{
  "id": "2tUt1wbLX592XDdX",
  "name": "Production",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z"
}

Retrieves a tag

get
/tags/{tagId}

Retrieves a tag.

Authorizations
X-N8N-API-KEYstringRequired
Path parameters
tagIdstringRequired

The ID of the tag.

Responses
200

Operation successful.

application/json
idstringRead-onlyRequiredExample: 2tUt1wbLX592XDdX
namestringRequiredExample: Production
createdAtstring · date-timeRead-onlyRequired
updatedAtstring · date-timeRead-onlyRequired
get/tags/{tagId}
GET /api/v1/tags/{tagId} HTTP/1.1
X-N8N-API-KEY: YOUR_API_KEY
Accept: */*
{
  "id": "2tUt1wbLX592XDdX",
  "name": "Production",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z"
}

Update a tag

put
/tags/{tagId}

Update a tag.

Authorizations
X-N8N-API-KEYstringRequired
Path parameters
tagIdstringRequired

The ID of the tag.

Body
idstringRead-onlyOptionalExample: 2tUt1wbLX592XDdX
namestringRequiredExample: Production
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
Responses
200

Operation successful.

application/json
idstringRead-onlyRequiredExample: 2tUt1wbLX592XDdX
namestringRequiredExample: Production
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
put/tags/{tagId}
PUT /api/v1/tags/{tagId} HTTP/1.1
X-N8N-API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 21

{
  "name": "Production"
}
{
  "id": "2tUt1wbLX592XDdX",
  "name": "Production",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z"
}

Delete a tag

delete
/tags/{tagId}

Deletes a tag.

Authorizations
X-N8N-API-KEYstringRequired
Path parameters
tagIdstringRequired

The ID of the tag.

Responses
200

Operation successful.

application/json
idstringRead-onlyRequiredExample: 2tUt1wbLX592XDdX
namestringRequiredExample: Production
createdAtstring · date-timeRead-onlyRequired
updatedAtstring · date-timeRead-onlyRequired
delete/tags/{tagId}
DELETE /api/v1/tags/{tagId} HTTP/1.1
X-N8N-API-KEY: YOUR_API_KEY
Accept: */*
{
  "id": "2tUt1wbLX592XDdX",
  "name": "Production",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?